/* ---------------
-Google-Font
 ----------------*/
@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
:root {
  --primary-colour: #ec065f;
}
/* ------------------
Navigation Portion ------------------*/
nav {
  margin: 3.9rem 6rem 3.5rem;
  display: flex;
  justify-content: space-between;
}
.navigation {
  display: flex;
}

/*---- Nav-bar -----*/
.check-button {
  font-size: 2em;
  cursor: pointer;
  display: none;
}
#toggle-bar {
  display: none;
}

.nav-menu > ul {
  list-style-type: none;
  display: flex;
}
ul li,
.fa-search,
.fa-shopping-cart {
  padding-left: 30px;
}
ul li a {
  text-decoration: none;
  color: rgba(0, 0, 0, 0.945);
  padding: 10px 5px;
}

ul li a:hover {
  border-bottom: 2px solid black;
}

/* Tablet responsiveness */
@media screen and (max-width: 900px) {
  nav {
    margin: 3.9rem 1rem 3.5rem;
    justify-content: space-evenly;
  }
  .header-heading {
    font-size: 25px;
    padding-top: -20px;
    padding-left: 15%;
  }
  .check-button {
    display: block;
    position: absolute;
    left: 4%;
    top: 3rem;
  }
  .fa-search {
    display: none;
  }
  .fa-shopping-cart {
    position: absolute;
    right: 10px;
    font-size: 30px;
    color: rgb(75, 81, 92);
  }
  .nav-menu > ul {
    flex-direction: column;
    background: #192a56;
    position: absolute;
    width: 70vw;
    height: 100vh;
    align-items: center;
    top: 100px;
    left: 0;
    padding: 1em 0;
    transform: translateX(-100%);
    transition: 0.5s ease-in-out;
    z-index: 1;
  }
  li {
    padding-bottom: 20px;
  }
  ul li a {
    font-size: 20px;
    font-weight: 500;
    color: #fff;
  }
  #toggle-bar:checked ~ ul {
    transform: translateX(0);
    transition: 0.5s ease-in-out;
  }
}

/* -------------
Mobile Responsive
----------------------- */

@media screen and (max-width: 500px) {
  nav {
    margin: 3.9rem 0 3.5rem;
    justify-content: center;
  }
  .header-heading {
    font-size: 17px;
    padding-top: -20px;
    padding-right: 10%;
  }
  .check-button {
    display: block;
    position: absolute;
    left: 4%;
    top: 3rem;
  }
  .fa-search {
    display: none;
  }
  .fa-shopping-cart {
    position: absolute;
  }
  .nav-menu > ul {
    flex-direction: column;
    background: #192a56;
    position: absolute;
    width: 70vw;
    height: 100vh;
    align-items: center;
    top: 100px;
    left: 0;
    padding: 1em 0;
    transform: translateX(-100%);
    transition: 0.5s ease-in-out;
    z-index: 1;
  }
  li {
    padding-bottom: 20px;
  }
  ul li a {
    font-size: 20px;
    font-weight: 500;
    color: #fff;
  }
  #toggle-bar:checked ~ ul {
    transform: translateX(0);
    transition: 0.5s ease-in-out;
  }
}

/*---------------------
Hero-Header Portion
---------------------*/

.hero-header {
  display: flex;
  margin: 1rem 8rem;
  align-items: center;
  justify-content: space-between;
}
.hero-heading-info {
  width: 45%;
}
.hero-heading,
.hero-header p {
  padding-bottom: 20px;
  position: relative;
  animation-name: sliding;
  animation-duration: 2s;
  animation-fill-mode: forwards;
  animation-timing-function: ease-in;
}
@keyframes sliding {
  0% {
    left: -800px;
  }
  100% {
    left: 0px;
  }
}

.hero-heading {
  font-size: 2.5rem;
}
.hero-header button {
  padding: 7px 15px;
  background: var(--primary-colour);
  border: none;
  border-radius: 20px;
}
button a {
  font-size: 1rem;
  text-decoration: none;
  color: #faf4fa;
}
.fa-arrow-right::before {
  padding-left: 10px;
}

.hero-image {
  width: 40%;
}
.hero-image img {
  width: 95%;
}

/* Tablet Responsoveness */

@media screen and (max-width: 900px) {
  .hero-header {
    flex-direction: column;
    margin: 1rem 1rem;
  }
  .hero-heading-info {
    width: 80%;
    order: 2;
  }
  .hero-heading {
    font-size: 1.5rem;
    text-align: center;
  }
  .hero-heading-info {
    text-align: center;
  }
  .hero-image {
    width: 60%;
  }
}
/* ------------------
Mobile Responsive
-------------------*/

@media screen and (max-width: 500px) {
  .hero-header {
    flex-direction: column;
    margin: 1rem 1rem;
  }
  .hero-heading-info {
    width: 100%;
    order: 2;
  }
  .hero-heading {
    font-size: 1.5rem;
    text-align: center;
  }
  .hero-heading-info {
    text-align: center;
  }
  .hero-image {
    width: 90%;
  }
}

/*---------------
 Main Section
 ----------------*/

.brand-logo-area {
  margin: 6.25rem 0;
}
hr {
  border: 0;
  height: 1px;
  background-image: linear-gradient(
    to right,
    rgba(173, 168, 168, 0),
    rgba(161, 153, 153, 0.75),
    rgba(165, 161, 161, 0)
  );
  width: 70%;
  margin: 4px auto;
}
.brand-logo {
  display: flex;
  justify-content: center;
  padding: 40px 0 10px;
}
.brand-logo-image {
  width: 10%;
}
.brand-logo-image img {
  width: 50%;
}

/*-------------------------
Mobile Responsive
------------------------*/
@media screen and (max-width: 500px) {
  .brand-logo-area {
    margin: 4rem 0;
  }
  hr {
    display: none;
  }
  .brand-logo {
    flex-wrap: wrap;
    align-items: center;
    padding: 0 0 0 10%;
  }
  .brand-logo-image {
    width: 25%;
  }
  .brand-logo-image img {
    width: 50%;
  }
}

/* ----------------------------
       Products Cards Section
      ------------------------------- */
.products-cars-area {
  margin: 1rem 14rem 4rem;
}
.products-card {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  padding-top: 40px;
}
main h1 {
  text-align: center;
  padding-top: 20px;
}
.product {
  width: 100%;
  box-shadow: 0 0 10px #cdd1e4;
}
.product-image {
  width: 90%;
  margin: 10px auto;
}
.product-image img {
  width: 100%;
}
.product-info {
  padding: 0 0 20px 15px;
  text-align: center;
}
.price {
  font-size: 1rem;
}
.font-star i {
  color: orange;
}
.fa-truck,
.fa-globe {
  color: #5f9cf8;
  padding-right: 10px;
}
.delivery-time {
  font-size: 15px;
}
.left-para {
  text-align: right;
  margin: 20px 0;
}
.left-para a {
  color: var(--primary-colour);
  text-decoration: none;
}

/* -------------------Tablet Responsive---------------- */
@media screen and (max-width: 900px) {
  .products-cars-area {
    margin: 1rem 1rem 6rem;
  }
  .products-card {
    grid-template-columns: 1fr 1fr;
  }
}

/* ------------------------
 Mobile Responsivenes
 -------------------------- */
@media screen and (max-width: 500px) {
  .products-cars-area {
    margin: 1rem 1rem 6rem;
  }
  .products-card {
    grid-template-columns: 1fr;
  }
}

/* ------------------Services -------------*/
.services {
  display: flex;
  justify-content: center;
  margin-bottom: 3rem;
}
.container {
  box-sizing: border-box;
  width: 90%;
  box-shadow: 0 0 10px #cdd1e4;
  padding: 0 10% 20px;
  text-align: center;
  overflow: hidden;
}
.container h4 {
  padding: 20px 0;
}
.container input {
  padding: 10px 40% 10px 2%;
  border: 1px solid rgb(212, 212, 221);
  margin: 0 10px;
}
.container button {
  padding: 6px 15px;
  background: var(--primary-colour);
  border: none;
  border-radius: 4px;
  color: cornsilk;
  margin-bottom: 10px;
  font-size: 16px;
}
button:hover {
  background-color: rgb(14, 6, 10);
  border: 1ps solid black;
}

@media screen and (max-width: 900px) {
  .container button {
    margin: 10px 0;
  }
  .container input {
    width: 100%;
  }
}

/*--------------------
 -footer portion
 ----------------------*/

footer {
  background: rgb(3, 3, 34);
  color: oldlace;
  text-align: center;
  padding: 20px 0;
}
.footer-para {
  font-size: 10px;
  margin: 4px 0;
}
footer i {
  padding-left: 5px;
}